<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
</head>

<body>

    <script>
        const empresa = {
            nome: 'Rocketseat',
            endereco: {
                cidade: 'Rio do Sul',
                estado: 'SC',
            }
        };
        const {
            nome,
            endereco: {
                cidade,
                estado
            }
        } = empresa
        console.log(nome); // Rocketseat
        console.log(cidade); // Rio do Sul
        console.log(estado); // SC

        function mostraInfo({
            nome,
            idade
        }) {
            return `${nome} tem ${idade} anos.`;

        }
        console.log(mostraInfo({
            nome: 'Diego',
            idade: 23
        }));
    </script>
</body>

</html>